apiVersion: v1
kind: Service
metadata:
  name: basic-tidb-external
  namespace: tidb-cluster
  labels:
    app.kubernetes.io/component: tidb
    app.kubernetes.io/instance: basic
    app.kubernetes.io/managed-by: tidb-operator
    app.kubernetes.io/name: tidb-cluster
    app.kubernetes.io/used-by: end-user
spec:
  ports:
    - name: mysql-client
      protocol: TCP
      port: 4000
      targetPort: 4000
      nodePort: 23333
    - name: status
      protocol: TCP
      port: 10080
      targetPort: 10080
  selector:
    app.kubernetes.io/component: tidb
    app.kubernetes.io/instance: basic
    app.kubernetes.io/managed-by: tidb-operator
    app.kubernetes.io/name: tidb-cluster
  type: NodePort
  sessionAffinity: None

